libetonyek::PAG1ParserState Class Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | List of all members
libetonyek::PAG1ParserState Class Reference

`#include <PAG1ParserState.h>`

Inheritance diagram for libetonyek::PAG1ParserState:

## Public Member Functions
| PAG1ParserState (PAG1Parser &parser, PAGCollector &collector, PAG1Dictionary &dict)
PAGCollector & | getCollector ()
PAG1Dictionary & | getDictionary ()
Public Member Functions inherited from libetonyek::IWORKXMLParserState
| IWORKXMLParserState (IWORKParser &parser, IWORKCollector &collector, IWORKDictionary &dict)
IWORKParser & | getParser ()
IWORKDictionary & | getDictionary ()
IWORKCollector & | getCollector () const
const IWORKTokenizer & | getTokenizer () const
IWORKStylePtr_t | getStyleByName (const char *const name, const IWORKStyleMap_t &mainMap, bool mustExist=true) const

## Public Attributes
PAGFootnoteState | m_footnoteState
Public Attributes inherited from libetonyek::IWORKXMLParserState
IWORKTableDataPtr_t | m_tableData
IWORKStylesheetPtr_t | m_stylesheet
bool | m_enableCollector
IWORKFormatNameMap | m_formatNameMap
IWORKTableNameMapPtr_t | m_tableNameMap
IWORKLanguageManager | m_langManager
std::shared_ptr< IWORKTable > | m_currentTable
std::shared_ptr< IWORKText > | m_currentText

## Private Member Functions
| PAG1ParserState (const PAG1ParserState &)
PAG1ParserState & | operator= (const PAG1ParserState &)

## Private Attributes
PAGCollector & | m_collector
PAG1Dictionary & | m_dict

## Constructor & Destructor Documentation

## ◆ PAG1ParserState() [1/2]

libetonyek::PAG1ParserState::PAG1ParserState | ( | const PAG1ParserState & |  | ) |
| private

## ◆ PAG1ParserState() [2/2]

libetonyek::PAG1ParserState::PAG1ParserState | ( | PAG1Parser & | parser,
|  | PAGCollector & | collector,
|  | PAG1Dictionary & | dict )

## Member Function Documentation

## ◆ getCollector()

PAGCollector & libetonyek::PAG1ParserState::getCollector | ( |  | ) |

## ◆ getDictionary()

PAG1Dictionary & libetonyek::PAG1ParserState::getDictionary | ( |  | ) |

## ◆ operator=()

PAG1ParserState & libetonyek::PAG1ParserState::operator= | ( | const PAG1ParserState & |  | ) |
| private

## Member Data Documentation

## ◆ m_collector

PAGCollector& libetonyek::PAG1ParserState::m_collector
| private

Referenced by getCollector().

## ◆ m_dict

PAG1Dictionary& libetonyek::PAG1ParserState::m_dict
| private

Referenced by getDictionary().

## ◆ m_footnoteState

PAGFootnoteState libetonyek::PAG1ParserState::m_footnoteState

The documentation for this class was generated from the following files:

- PAG1ParserState.h
- PAG1ParserState.cpp